﻿html {
    height: 100%;
}

body {
    min-height: 100%;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: Montserrat, Arial, sans-serif;
    background-color: white;
    color: #808080;
}

a {
    color: var(--enlace);
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

::selection,
input::-webkit-datetime-edit-day-field:focus,
input::-webkit-datetime-edit-month-field:focus,
input::-webkit-datetime-edit-year-field:focus {
    background-color: var(--highlight);
    color: white;
}

body > header {
    width: 100%;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background-color: #F0F0F0;
    color: #000;
    z-index: 2;
}

body > header.full {
    display: flex;
    box-shadow: 0 0 20px -5px #00000060;
}

body > header.compact {
    display: none;
}

body > header.compact > button {
    border: none;
    background: none;
    color: #D0D0D0;
    font-size: 140%;
    padding: 0;
    margin: 10px;
}

body > header > .logo {
}

body > header > .logo > img {
    max-height: 100px;
    transition: max-height .2s ease;
    margin: 5px;
}

body > header > .menu {
    flex-grow: 1;
    display: flex;
    justify-content: space-around;
    align-items: center;
    text-transform: uppercase;
    margin-left: 0px;
    transition: margin-left .2s ease;
}

body > header > .menu > a {
    color: #000;
    font-weight: bold;
}

body > header > .menu > a:hover {
    text-decoration: none;
}

body > header > .languages {
    padding: 10px;
    display: flex;
}

body > header > .languages > a {
    margin: 4px;
}

body > header > .languages > a:hover {
}

body > header > .session {
    position: relative;
}

body > header > .session > .icon {
    box-sizing: border-box;
    height: 25px;
    width: 25px;
    margin-right: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #808080;
    border-radius: 4px 4px 0px 0px;
    background-color: transparent;
    transition: background-color .2s ease;
}

body > header > .session > .panel {
    position: absolute;
    right: 8px;
    top: 25px;
    border-radius: 4px 0px 4px 4px;
    background-color: transparent;
    opacity: 0;
    transition: background-color .2s ease, opacity .2s ease;
    pointer-events: none;
    display: flex;
    flex-direction: column;
}

body > header > .session:hover > .icon,
body > header > .session:hover > .panel {
    opacity: 1;
    background: var(--azul);
    pointer-events: unset;
}

body > header > .session:hover > .icon {
}

body > header > .session > .panel > .username {
    color: white;
    font-size: 80%;
    font-weight: bold;
    text-align: center;
    padding: 8px;
}

body > header > .session > .panel > .buttons {
    display: flex;
    flex-direction: column;
}

body > header > .session > .panel > .buttons > button {
    background: none;
    border: none;
    border-top: 1px solid #177b89;
    border-radius: 0;
    padding: 8px;
    display: flex;
    justify-content: space-between;
    cursor: pointer;
}

body > header > .session > .panel > .buttons > button:last-child {
    border-radius: 0px 0px 4px 4px;
}

body > header > .session > .panel > .buttons > button:hover {
    background-color: #ffffff3f;
}

body > header > .session > .panel > .buttons > button:last-child {
}

body > header > .session > .panel > .buttons > button > .text {
    color: white;
    font-size: 80%;
}

body > header > .session > .panel > .buttons > button > .icon {
    color: white;
    border: none;
    background: none;
    padding: 0;
    margin-left: 8px;
}

body > aside {
    display: none;
    position: fixed;
    background-color: var(--aside);
    color: #fff;
    top: 0;
    left: 100vw;
    width: 100vw;
    height: 100vh;
    box-sizing: border-box;
    padding: 10px;
    transition: left .3s ease;
    z-index: 100;
}

body > aside.visible {
    left: 0;
}

body > aside > .content {
    display: flex;
    flex-direction: column;
    align-items: center;
}

body > aside > .content > button#close-menu {
    border: none;
    background: none;
    color: white;
    font-size: 140%;
    padding: 0;
    margin-top: 12px;
    margin-bottom: 12px;
    align-self: flex-end;
    order: 0;
}

body > aside > .content > .menu {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: stretch;
    order: 3;
}

body > aside > .content > .menu > a {
    color: white;
    padding: 5px 0px;
    border-top: 1px solid #ffffff2f;
}

body > aside > .content > .menu > a:hover {
    text-decoration: none;
}

body > aside > .content > .languages {
    order: 2;
    margin-bottom: 10px;
}

body > aside > .content > .languages > a {
    margin: 10px;
}

body > aside > .content > .languages > a:hover {
}

body > aside > .content > .username {
    order: 1;
    display: none;
}

body > aside > .content > .username > span {
}

body > aside > .content > .username > i {
}

body > aside > .content > .buttons {
    order: 4;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    width: 100%;
}

body > aside > .content > .buttons > button {
    border: none;
    background: none;
    font: inherit;
    display: flex;
    justify-content: space-between;
    padding: 5px 0px;
    border-top: 1px solid #FFFFFF2f;
    color: #fff;
}

body > aside > .content > .buttons > button:hover {
}

body > aside > .content > .buttons > button:last-child {
}

body > aside > .content > .buttons > button > .text {
}

body > aside > .content > .buttons > button > .icon {
    margin-left: 5px;
}

body > main {
    flex-grow: 1;
    width: 100%;
    display: flex;
    flex-direction: column;
    /* align-items:center; */
    background-image: url(/img/background.png);
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    z-index: 1;
}

body > footer {
    width: 100%;
    background-color: var(--footer);
    color: #ea5b0c;
    z-index: 2;
}

body > footer > .stripe {
    background-color: var(--footer);
    height: 22px;
    display: flex;
    flex-direction: column;
}

body > footer > .stripe > span {
    flex-grow: 1;
    margin: 1px 0;
}

body > footer > .stripe > span:first-child {
    background-color: var(--footer-stripe-1);
    margin-top: 2px;
}

body > footer > .stripe > span:last-child {
    background-color: var(--footer-stripe-2);
}

body > footer > .content {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

body > footer > .content > a {
    color: white;
}

body > footer > .content > div > a {
    color: var(--footer-link);
}

body > footer > .content > * {
    padding: 20px 10px;
}

body > footer > .content > div {
    display: flex;
    flex-direction: column;
}


@media (max-width:880px) {
    body > footer > .content {
        flex-direction: column;
    }


    body > footer > .content > * {
        padding: 10px;
    }

    body > footer > .content > div {
        align-items: center;
        order: 1;
    }
}

@media (max-width:700px) {
    body > header > .menu {
        flex-direction: column;
        margin-left: 8px;
        align-items: flex-start;
        justify-content: space-between;
    }

    body > header > .logo > img {
        max-height: 64px;
    }

    body > header > .menu > a,
    body > header > .menu > div > a {
        /* padding: 0; */
    }
}

@media (max-width:450px) {
    body > header.full {
        display: none;
    }

    body > header.compact {
        display: flex;
    }

    body > aside {
        display: block;
    }

    body > header > .logo > img {
        max-height: 64px;
    }
}
